#rights-modal {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.65);
  /* to overbid usercentrics overlay 9999990 */
  z-index: 10000000;
  visibility: hidden;
  opacity: 0;
  @include transition(all 200ms ease-in-out);

  &[data-open=true] {
    visibility: visible;
    opacity: 1;

    #rights-modal-inner {
      transform: scale(1, 1);
      opacity: 1;
      visibility: visible;
    }
  }

  #rights-modal-inner {
    @include transition(all 200ms ease-in-out);
    /*-webkit-transition: visibility 0.1s,scale 1.3s, opacity 0.3s, easeOutSine;*/
    position: absolute;
    width: 680px;
    height: 550px;
    background-color: white;
    z-index: 3000;
    top: 50%;
    margin-top: -290px;
    left: 50%;
    margin-left: -340px;
    overflow: hidden;
    color: #333;
    transform: scale(0.9, 0.9);
    opacity: 0;
    visibility: hidden;

    ol,
    ul {
      list-style: none;
      padding-left: 0;
      margin-top: 0;
    }

    a.close {
      display: block;
      position: absolute;
      text-indent: -3000px;
      right: 30px;
      top: 20px;
      background-image: url('./assets/Images/closemodalcross.png');
      background-position: center center;
      background-repeat: no-repeat;
      background-color: transparent;
      background-size: contain;
      height: 35px;
      width: 35px;
    }

    .text-layer {
      position: relative;
      margin: 0 auto;
      padding: 25px 30px;
      width: auto;
      height: 460px;
      background: #fff;

      font-family: CorporateS, "Times New Roman", "Arial", serif;
      line-height: 22px;
      font-size: 14px;

      h2 {
        margin-bottom: 5px;
        font-family: 'CorporateACon-Reg';
        font-size: 25px;
        line-height: 1;
        color: #171717;
        text-transform: none;

      }

      .mbc-bottom-line {
        border-bottom: 1px solid #141414;
        padding-bottom: 10px;
        margin-top: 0;
      }

      #mbc-meta-wrapper {
        padding-top: 24px;
        clear: both;
        left: 0px;
        margin-left: 0px;
        position: relative;

        h2 {
          display: none;
        }
      }

      #mbc-modal-navigation {
        padding-top: 4px;

        li {
          float: left;
          padding-right: 24px;

          a {
            text-decoration: none;

            &[data-active="true"] {
              color: $mb-color-fancy-turk;
            }
          }

          .mbc-active {
            color: $mb-color-fancy-turk;
          }

          .mbc-meta-link,
          .mbc-external-link {
            color: #141414;
          }
        }

        .iframe {
          display: none;
        }
      }

      table {
        font-size: 0.8em;
      }

      strong,
      b {
        font-weight: bold;

      }

      a {
        color: $mb-color-fancy-turk;
      }

      p {
        margin-bottom: 22px;
        line-height: 1.5;
        color: $mb-color-bggrey;
      }

    }

    #mbc-meta-wrapper {
      padding-top: 24px;
      clear: both;
      left: 0px;
      margin-left: 0px;
      position: relative;

      .mbc-meta-box {
        @include transition(all 200ms ease-in-out);
        height: 400px;
        opacity: 0;
        position: absolute;
        overflow: auto;

        &[data-active='true'] {
          opacity: 1;
          overflow: auto;
          position: relative;
        }

        .mbc-content {
          max-width: 560px;
          position: relative;
          overflow: hidden;
        }

      }

    }
  }

  @include media($mobile) {

    #rights-modal-inner {
      width: auto;
      height: auto;
      left: 0;
      right: 0;
      top: 0;
      bottom: 0;
      position: absolute;
      margin-top: 0px;
      margin-left: 0px;
      padding: 25px;
      overflow: scroll;
      color: #333;
      transform: scale(1);
      opacity: 0;
      visibility: hidden;


      #mbc-meta-wrapper {
        width: auto !important;
        height: auto !important;

        .mbc-meta-box {
          overflow: auto;
          width: auto !important;
          display: none;

          &[data-active='true'] {
            height: auto !important;
            display: block;
          }

          .mbc-content {
            width: auto !important;
          }
        }
      }

    }

    #mbc-modal-navigation {
      padding-top: 4px;
      margin-bottom: 1px solid black;

      li {
        clear: both;
        padding-right: 24px;
        line-height: 3em;
        border-bottom: 1px solid black;
        width: 100%;
        position: relative;
        font-size: 1.2em;
        height: 2.5em;

        a {
          line-height: 2.5em;
          font-size: 1.2em;
          position: absolute;
          top: 0;
          left: 0;
          right: 0;
          bottom: 0;
        }
      }
    }
  }
}